Community
cancel
Showing results for 
Search instead for 
Did you mean: 
aclhkaclhk
Beginner
118 Views

compilation error on linux (fedora core 5)

I extracted the file (iamt_sdk.tar.gz)

cd Samples/RemoteControl

make all

[root@localhost RemoteControl]# make all
rm -f ../gSoapGeneratedCode/soapClient.o ../gSoapGeneratedCode/soapC.o ../../ThirdParty/gSOAP/stdsoap2.o ../../ThirdParty/gSOAP/httpDigest.o ../../ThirdParty/gSOAP/digcalc.o RemoteControlSample.o Utils.o remoteControl *~
rm -rf .libs
dos2unix *.h
dos2unix: converting file RemoteControlTypes.h to UNIX format ...
dos2unix *.cpp
dos2unix: converting file RemoteControlSample.cpp to UNIX format ...
dos2unix README
dos2unix: converting file README to UNIX format ...
dos2unix Makefile
dos2unix: converting file Makefile to UNIX format ...
g++ -Dlinux -Wall -Wno-deprecated -DWITH_OPENSSL -DWITH_OPENSSL -I../../ThirdParty/gSOAP -I../../Include -I../gSoapGeneratedCode -c ../gSoapGeneratedCode/soapClient.cpp -o ../gSoapGeneratedCode/soapClient.o
g++ -Dlinux -Wall -Wno-deprecated -DWITH_OPENSSL -DWITH_OPENSSL -I../../ThirdParty/gSOAP -I../../Include -I../gSoapGeneratedCode -c ../gSoapGeneratedCode/soapC.cpp -o ../gSoapGeneratedCode/soapC.o
g++ -Dlinux -Wall -Wno-deprecated -DWITH_OPENSSL -DWITH_OPENSSL -I../../ThirdParty/gSOAP -I../../Include -I../gSoapGeneratedCode -c ../../ThirdParty/gSOAP/stdsoap2.cpp -o ../../ThirdParty/gSOAP/stdsoap2.o
../../ThirdParty/gSOAP/stdsoap2.cpp: In function int tcp_connect(soap*, const char*, const char*, int):
../../ThirdParty/gSOAP/stdsoap2.cpp:3761: error: invalid conversion from unsigned char** to const unsigned char**
make: *** [../../ThirdParty/gSOAP/stdsoap2.o] Error 1

***** info ****

openssl-0.9.8a-5.4
mod_ssl-2.2.0-5.1.2
openssl097a-0.9.7a-4.2.1
docbook-style-dsssl-1.79-4
openssl-devel-0.9.8a-5.4
kernel: 2.6.20-1.2320.fc5

PLs kindly advise.

0 Kudos
3 Replies
aclhkaclhk
Beginner
118 Views

I updated some packages. the error becomes:

[root@localhost RemoteControl]# make
rm -f ../gSoapGeneratedCode/soapClient.o ../gSoapGeneratedCode/soapC.o ../../ThirdParty/gSOAP/stdsoap2.o ../../ThirdParty/gSOAP/httpDigest.o ../../ThirdParty/gSOAP/digcalc.o RemoteControlSample.o Utils.o remoteControl *~
rm -rf .libs
dos2unix *.h
dos2unix: converting file RemoteControlTypes.h to UNIX format ...
dos2unix *.cpp
dos2unix: converting file RemoteControlSample.cpp to UNIX format ...
dos2unix README
dos2unix: converting file README to UNIX format ...
dos2unix Makefile
dos2unix: converting file Makefile to UNIX format ...
g++ -Dlinux -Wall -Wno-deprecated -DWITH_OPENSSL -DWITH_OPENSSL -I../../ThirdParty/gSOAP -I../../Include -I../gSoapGeneratedCode -c ../gSoapGeneratedCode/soapClient.cpp -o ../gSoapGeneratedCode/soapClient.o
g++ -Dlinux -Wall -Wno-deprecated -DWITH_OPENSSL -DWITH_OPENSSL -I../../ThirdParty/gSOAP -I../../Include -I../gSoapGeneratedCode -c ../gSoapGeneratedCode/soapC.cpp -o ../gSoapGeneratedCode/soapC.o
g++ -Dlinux -Wall -Wno-deprecated -DWITH_OPENSSL -DWITH_OPENSSL -I../../ThirdParty/gSOAP -I../../Include -I../gSoapGeneratedCode -c ../../ThirdParty/gSOAP/stdsoap2.cpp -o ../../ThirdParty/gSOAP/stdsoap2.o
g++ -Dlinux -Wall -Wno-deprecated -DWITH_OPENSSL -DWITH_OPENSSL -I../../ThirdParty/gSOAP -I../../Include -I../gSoapGeneratedCode -c ../../ThirdParty/gSOAP/httpDigest.cpp -o ../../ThirdParty/gSOAP/httpDigest.o
g++ -Dlinux -Wall -Wno-deprecated -DWITH_OPENSSL -DWITH_OPENSSL -I../../ThirdParty/gSOAP -I../../Include -I../gSoapGeneratedCode -c ../../ThirdParty/gSOAP/digcalc.cpp -o ../../ThirdParty/gSOAP/digcalc.o
/usr/include/openssl/md5.h:108: error: size_t has not been declared
/usr/include/openssl/md5.h:110: error: size_t has not been declared
make: *** [../../ThirdParty/gSOAP/digcalc.o] Error 1

aclhkaclhk
Beginner
118 Views

version: release 3.0
118 Views

Hi,

AMT SDK is supported on RedHat EL3.0 and 4.0; unfortunately i am not sure which version of fedora core it corresponds to; you might want to check that. Also, here is a site where you can post the Linux AMT questions - http://www.openamt.org/

Thanks,

Sree

Reply